Subject: bug#78623: cp --preserve=xattr copies attr as well as xattr which breaks cross-FS copy

From: Paul Eggert <[email-masked]>
Date: Fri, 30 May 2025 10:16:08 -0700

On 2025-05-30 02:37, Pádraig Brady wrote:
> we only have this issue with --preserve=xattr which diagnoses any 
> issues.
> Perhaps we would benefit from a --preserve=supported-xattr option?

If we go that route, it might be a bit better if the new option-arg 
began with 'xattr' rather than ended with 'xattr' so that it's easier to 
find in the doc. Perhaps something like --preserve='xattr-try'?

I'm not quite seeing the motivation, though. Why are scripts using 
--preserve=xattr rather than the much-simpler '-a'? That is, why 
preserve xattr but not other metadata?